#include <rlyson.h>

void DrawTextFull(
    Font                font,
    const char          *text,
    Vector2             origin,
    text_orientation_t  orientation, 
    float               fontSize, 
    float               spacing, 
    float               lineSpacing, 
    Color               tint
    ) 
{
    Vector2 textSize = MeasureTextEx(font, text, fontSize, spacing);

    switch (orientation) {
    case TEXT_ORIENTATION_LEFT:
        origin.x -= textSize.x;
        break;
    case TEXT_ORIENTATION_RIGHT:
        origin.x += textSize.x;
        break;
    case TEXT_ORIENTATION_CENTER:
        origin.x -= textSize.x / 2;
        break;
    }
    DrawTextPro(font, text, textSize, origin, 0, spacing, lineSpacing, tint);
}